<Type Name="CommonCompilerOptions" FullName="Mono.GetOptions.Useful.CommonCompilerOptions">
  <TypeSignature Language="C#" Value="public class CommonCompilerOptions : Mono.GetOptions.Options" />
  <AssemblyInfo>
    <AssemblyName>Mono.GetOptions</AssemblyName>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
  </AssemblyInfo>
  <Base>
    <BaseTypeName>Mono.GetOptions.Options</BaseTypeName>
  </Base>
  <Interfaces />
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CommonCompilerOptions ();" />
      <MemberType>Constructor</MemberType>
      <Parameters />
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CommonCompilerOptions (string[] args);" />
      <MemberType>Constructor</MemberType>
      <Parameters>
        <Parameter Name="args" Type="System.String[]" />
      </Parameters>
      <Docs>
        <param name="args">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CommonCompilerOptions (string[] args, Mono.GetOptions.ErrorReporter reportError);" />
      <MemberType>Constructor</MemberType>
      <Parameters>
        <Parameter Name="args" Type="System.String[]" />
        <Parameter Name="reportError" Type="Mono.GetOptions.ErrorReporter" />
      </Parameters>
      <Docs>
        <param name="args">To be added.</param>
        <param name="reportError">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="WarningLevel">
      <MemberSignature Language="C#" Value="public int WarningLevel;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="TargetFileType">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.Useful.TargetType TargetFileType;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.Useful.TargetType</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="MainClassName">
      <MemberSignature Language="C#" Value="public string MainClassName;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="baseaddress">
      <MemberSignature Language="C#" Value="public int baseaddress;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="CompileForCompactFramework">
      <MemberSignature Language="C#" Value="public bool CompileForCompactFramework;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="SDKPath">
      <MemberSignature Language="C#" Value="public string SDKPath;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="EmbeddedResources">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList EmbeddedResources;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="LinkedResources">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList LinkedResources;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Win32Resources">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList Win32Resources;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Win32Icons">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList Win32Icons;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Optimize">
      <MemberSignature Language="C#" Value="public bool Optimize;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="CheckedContext">
      <MemberSignature Language="C#" Value="public bool CheckedContext;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="WantDebuggingSupport">
      <MemberSignature Language="C#" Value="public bool WantDebuggingSupport;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="FullDebugging">
      <MemberSignature Language="C#" Value="public bool FullDebugging;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="MdbOnly">
      <MemberSignature Language="C#" Value="public bool MdbOnly;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="WarningsAreErrors">
      <MemberSignature Language="C#" Value="public bool WarningsAreErrors;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Defines">
      <MemberSignature Language="C#" Value="public System.Collections.Hashtable Defines;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.Hashtable</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="NoStandardLibraries">
      <MemberSignature Language="C#" Value="public bool NoStandardLibraries;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="NoConfig">
      <MemberSignature Language="C#" Value="public bool NoConfig;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AllowUnsafeCode">
      <MemberSignature Language="C#" Value="public bool AllowUnsafeCode;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Imports">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList Imports;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="RootNamespace">
      <MemberSignature Language="C#" Value="public string RootNamespace;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="delaysign">
      <MemberSignature Language="C#" Value="public bool delaysign;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="keycontainer">
      <MemberSignature Language="C#" Value="public string keycontainer;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="keyfile">
      <MemberSignature Language="C#" Value="public string keyfile;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="DontShowBanner">
      <MemberSignature Language="C#" Value="public bool DontShowBanner;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="SuccintErrorDisplay">
      <MemberSignature Language="C#" Value="public bool SuccintErrorDisplay;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Verbose">
      <MemberSignature Language="C#" Value="public bool Verbose;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputInUTF8">
      <MemberSignature Language="C#" Value="public bool OutputInUTF8;" />
      <MemberType>Field</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateBugReport">
      <MemberSignature Language="C#" Value="public string CreateBugReport;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AssembliesToReference">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList AssembliesToReference;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="NetModulesToAdd">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList NetModulesToAdd;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="PathsToSearchForLibraries">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList PathsToSearchForLibraries;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="DebugListOfArguments">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList DebugListOfArguments;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="SourceFilesToCompile">
      <MemberSignature Language="C#" Value="public System.Collections.ArrayList SourceFilesToCompile;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ArrayList</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReferenceSomePackage">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.WhatToDoNext ReferenceSomePackage (string packageName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.WhatToDoNext</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="packageName" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="packageName">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="SetIgnoreWarning">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.WhatToDoNext SetIgnoreWarning (int warningNumber);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.WhatToDoNext</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="warningNumber" Type="System.Int32" />
      </Parameters>
      <Docs>
        <param name="warningNumber">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="SetTarget">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.WhatToDoNext SetTarget (string type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.WhatToDoNext</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="type" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="type">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="Recurse">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.WhatToDoNext Recurse (string wildcard);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.WhatToDoNext</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="wildcard" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="wildcard">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="SetDebugArgs">
      <MemberSignature Language="C#" Value="public Mono.GetOptions.WhatToDoNext SetDebugArgs (string args);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>Mono.GetOptions.WhatToDoNext</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="args" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="args">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReferencePackage">
      <MemberSignature Language="C#" Value="public bool ReferencePackage (string packageName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="packageName" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="packageName">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="StartTime">
      <MemberSignature Language="C#" Value="public void StartTime (string msg);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="msg" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="msg">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="ShowTime">
      <MemberSignature Language="C#" Value="public void ShowTime (string msg);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="msg" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="msg">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="LoadReferencedAssemblies">
      <MemberSignature Language="C#" Value="public bool LoadReferencedAssemblies (Mono.GetOptions.Useful.AssemblyAdder adder);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="adder" Type="Mono.GetOptions.Useful.AssemblyAdder" />
      </Parameters>
      <Docs>
        <param name="adder">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="UnsupportedFeatureOnthisRuntime">
      <MemberSignature Language="C#" Value="public void UnsupportedFeatureOnthisRuntime (string feature);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="feature" Type="System.String" />
      </Parameters>
      <Docs>
        <param name="feature">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="LoadAddedNetModules">
      <MemberSignature Language="C#" Value="public bool LoadAddedNetModules (System.Reflection.Emit.AssemblyBuilder assemblyBuilder, Mono.GetOptions.Useful.ModuleAdder adder);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="assemblyBuilder" Type="System.Reflection.Emit.AssemblyBuilder" />
        <Parameter Name="adder" Type="Mono.GetOptions.Useful.ModuleAdder" />
      </Parameters>
      <Docs>
        <param name="assemblyBuilder">To be added.</param>
        <param name="adder">To be added.</param>
        <summary>To be added.</summary>
        <returns>To be added.</returns>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AdjustCodegenWhenTargetIsNetModule">
      <MemberSignature Language="C#" Value="public void AdjustCodegenWhenTargetIsNetModule (System.Reflection.Emit.AssemblyBuilder assemblyBuilder);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="assemblyBuilder" Type="System.Reflection.Emit.AssemblyBuilder" />
      </Parameters>
      <Docs>
        <param name="assemblyBuilder">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="EmbedResources">
      <MemberSignature Language="C#" Value="public void EmbedResources (System.Reflection.Emit.AssemblyBuilder builder);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="builder" Type="System.Reflection.Emit.AssemblyBuilder" />
      </Parameters>
      <Docs>
        <param name="builder">To be added.</param>
        <summary>To be added.</summary>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="CurrentCodepage">
      <MemberSignature Language="C#" Value="public string CurrentCodepage { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="WarningsToIgnore">
      <MemberSignature Language="C#" Value="public int[] WarningsToIgnore { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32[]</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputFileName">
      <MemberSignature Language="C#" Value="public string OutputFileName { set; get; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedModule">
      <MemberSignature Language="C#" Value="public string AddedModule { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedReference">
      <MemberSignature Language="C#" Value="public string AddedReference { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedLibPath">
      <MemberSignature Language="C#" Value="public string AddedLibPath { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedResource">
      <MemberSignature Language="C#" Value="public string AddedResource { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedLinkresource">
      <MemberSignature Language="C#" Value="public string AddedLinkresource { set; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedWin32resource">
      <MemberSignature Language="C#" Value="public string AddedWin32resource { set; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AddedWin32icon">
      <MemberSignature Language="C#" Value="public string AddedWin32icon { set; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="removeintchecks">
      <MemberSignature Language="C#" Value="public virtual bool removeintchecks { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="NoWarnings">
      <MemberSignature Language="C#" Value="public bool NoWarnings { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="DefineSymbol">
      <MemberSignature Language="C#" Value="public string DefineSymbol { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="ImportNamespaces">
      <MemberSignature Language="C#" Value="public string ImportNamespaces { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="PrintTimeStamps">
      <MemberSignature Language="C#" Value="public virtual bool PrintTimeStamps { set; };" />
      <MemberType>Property</MemberType>
      <Attributes>
        <Attribute>
          <AttributeName>Mono.GetOptions.Option</AttributeName>
        </Attribute>
      </Attributes>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="BeQuiet">
      <MemberSignature Language="C#" Value="public bool BeQuiet { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="AssembliesToReferenceSoftly">
      <MemberSignature Language="C#" Value="public virtual string[] AssembliesToReferenceSoftly { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String[]</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
    <Member MemberName="NothingToCompile">
      <MemberSignature Language="C#" Value="public virtual bool NothingToCompile { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added.</summary>
        <value>To be added.</value>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
  </Members>
  <Docs>
    <summary>To be added.</summary>
    <remarks>To be added.</remarks>
  </Docs>
</Type>
